Delete
curl --request DELETE \
--url https://developer.synq.io/api/alerts/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier": {
"fqn": "<string>"
}
}
'import requests
url = "https://developer.synq.io/api/alerts/v1"
payload = { "identifier": { "fqn": "<string>" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({identifier: {fqn: '<string>'}})
};
fetch('https://developer.synq.io/api/alerts/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}synq.alerts.services.v1.AlertsService
Delete
Delete an existing alert configuration. The config can be identified by either ID or FQN.
DELETE
/
api
/
alerts
/
v1
Delete
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
DeleteRequest specifies which alert configuration to delete. The config can be identified by either ID or FQN.
Identifier for the config to delete.
- fqn
- id
Show child attributes
Show child attributes
Response
200 - application/json
Success
DeleteResponse confirms the deletion (empty response). Empty response - successful deletion is indicated by HTTP 200 status.
⌘I